// using a photoresistor (LDR)
// connect LDR to pin 26 and 3V3
// use the stick screen
// using internal pullup
// demo for workshop
// http://tinkerfarm.net/workshops/m5stickc-workshop-2019/

// include the library for the stick
#include <M5StickC.h>

// create an integer value for readings
int val = 0;

  
void setup() {


  // TFT LCD display set up
  M5.begin();
  // display across the short end
  M5.Lcd.setRotation(0);
  // clear the screen
  M5.Lcd.fillScreen(TFT_BLACK);  
  // set larger text size
  M5.Lcd.setTextSize(2);
  
}
  
void loop() {

   // clear the screen for the next reading
   M5.Lcd.fillScreen(TFT_BLACK);
   // position the cursor
   M5.Lcd.setCursor(10, 10, 2);
     
  // read pin 26 
  // assign to val
  val = analogRead(26);

  // send the reading to LCD screen
  M5.Lcd.print(val); 
 
  // delay .2 seconds until next reading
  delay(200);
  
}
