// demo of serial plotter
// using accelerometer data from M5stickC
// for workshop
// http://tinkerfarm.net/workshops/m5stickc-workshop-2019/

// load the library for the stick
#include <M5StickC.h>

// create a variables for X axis on accelerometer
int16_t accX, accY, accZ;

void setup() 
{
  // put your setup code here, to run once:
  // start the stick library
  M5.begin();
  // start the IMU
  M5.IMU.Init();
  // set the serial output speed
  Serial.begin(115200);
}

void loop() 
{
  // put your main code here, to run repeatedly:
  
  // read the accelerometer
  M5.IMU.getAccelData(&accX, &accY, &accZ);
  
  // send the data to the serial plotter
  Serial.println(((float)accX) * M5.IMU.aRes);
}
