// using a photoresistor (LDR)
// connect LDR to pin 26 and 3V3
// simple serial output
// using internal pullup
// for workshop demo
// http://tinkerfarm.net/workshops/m5stickc-workshop-2019/

// create an integer value for readings
int val = 0;

void setup() {

  // use pin 26 for input
  // use internal pullup on pin! 
  pinMode (26, INPUT_PULLUP);

  // open serial comms to pc
  Serial.begin(115200); 
}

void loop() {

  // read pin 26 
  // send the reading to serial monitor
  Serial.println(analogRead(26)); 

  // delay .05 seconds until next reading
  delay(50);
}
