// basic screen commands for stick
// for workshop
// http://tinkerfarm.net/workshops/m5stickc-workshop-2019/
// additionals screen commands at
// https://docs.m5stack.com/#/en/api/lcd_m5stickc

// load stick library
#include <M5StickC.h>

void setup() {
  // put your setup code here, to run once:
  // start stick library
   M5.begin();

  // write to the screen just once 
  // blank the screen, can be set to other background colors
   M5.Lcd.fillScreen(BLACK);

  // set text rotation, 90 degree angles 0-3
   M5.Lcd.setRotation(0);

  // set text magnification 1-3
   M5.Lcd.setTextSize(1);

  // set the cursor location X, Y and size 1 or 2
   M5.Lcd.setCursor(2, 2, 2);

  // set text color 
    M5.Lcd.setTextColor(WHITE);
   
  // print some text
   M5.Lcd.print("test");



}

void loop() {
  // put your main code here, to run repeatedly:

 
   
 delay(2000); // use a delay loop to slow down redisplay
}
